Register SIM cards
Register the SIM cards associated with the provided registration codes to the current user’s account.
If sim_card_group_id is provided, the SIM cards will be associated with that group. Otherwise, the default group for the current user will be used.
POST
/
actions
/
register
/
sim_cards
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const register = await client.actions.register.create({
registration_codes: ['0000000001', '0000000002', '0000000003'],
});
console.log(register.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
register = client.actions.register.create(
registration_codes=["0000000001", "0000000002", "0000000003"],
)
print(register.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
register, err := client.Actions.Register.New(context.TODO(), telnyx.ActionRegisterNewParams{
RegistrationCodes: []string{"0000000001", "0000000002", "0000000003"},
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", register.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.actions.register.RegisterCreateParams;
import com.telnyx.sdk.models.actions.register.RegisterCreateResponse;
import java.util.List;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RegisterCreateParams params = RegisterCreateParams.builder()
.registrationCodes(List.of(
"0000000001",
"0000000002",
"0000000003"
))
.build();
RegisterCreateResponse register = client.actions().register().create(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
register = telnyx.actions.register.create(registration_codes: ["0000000001", "0000000002", "0000000003"])
puts(register)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$register = $client->actions->register->create(
registrationCodes: ['0000000001', '0000000002', '0000000003'],
simCardGroupID: '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
status: 'standby',
tags: ['personal', 'customers', 'active-customers'],
);
var_dump($register);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx actions:register create \
--api-key 'My API Key' \
--registration-code "'0000000001'" \
--registration-code "'0000000002'" \
--registration-code "'0000000003'"curl --request POST \
--url https://api.telnyx.com/v2/actions/register/sim_cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"registration_codes": [
"0000000001",
"0000000002",
"0000000003"
],
"sim_card_group_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"tags": [
"personal",
"customers",
"active-customers"
],
"status": "standby"
}
'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card",
"status": {
"value": "enabled",
"reason": "The SIM card is active, ready to connect to networks and consume data."
},
"type": "physical",
"iccid": "89310410106543789301",
"imsi": "081932214823362973",
"msisdn": "+13109976224",
"sim_card_group_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"tags": [
"personal",
"customers",
"active-customers"
],
"data_limit": {
"amount": "2048.0",
"unit": "MB"
},
"current_billing_period_consumed_data": {
"amount": "2049.0",
"unit": "MB"
},
"actions_in_progress": true,
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"esim_installation_status": "released",
"version": "4.3",
"resources_with_in_progress_actions": [],
"eid": null,
"authorized_imeis": [
"106516771852751",
"534051870479563",
"508821468377961"
],
"voice_enabled": false
}
],
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
["0000000001", "0000000002", "0000000003"]
The group SIMCardGroup identification. This attribute can be null when it's present in an associated resource.
Example:
"6a09cdc3-8948-47f0-aa62-74ac943d6c58"
Searchable tags associated with the SIM card
Example:
["personal", "customers", "active-customers"]
Status on which the SIM card will be set after being successful registered.
Available options:
enabled, disabled, standby Example:
"standby"
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const register = await client.actions.register.create({
registration_codes: ['0000000001', '0000000002', '0000000003'],
});
console.log(register.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
register = client.actions.register.create(
registration_codes=["0000000001", "0000000002", "0000000003"],
)
print(register.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
register, err := client.Actions.Register.New(context.TODO(), telnyx.ActionRegisterNewParams{
RegistrationCodes: []string{"0000000001", "0000000002", "0000000003"},
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", register.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.actions.register.RegisterCreateParams;
import com.telnyx.sdk.models.actions.register.RegisterCreateResponse;
import java.util.List;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RegisterCreateParams params = RegisterCreateParams.builder()
.registrationCodes(List.of(
"0000000001",
"0000000002",
"0000000003"
))
.build();
RegisterCreateResponse register = client.actions().register().create(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
register = telnyx.actions.register.create(registration_codes: ["0000000001", "0000000002", "0000000003"])
puts(register)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$register = $client->actions->register->create(
registrationCodes: ['0000000001', '0000000002', '0000000003'],
simCardGroupID: '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
status: 'standby',
tags: ['personal', 'customers', 'active-customers'],
);
var_dump($register);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx actions:register create \
--api-key 'My API Key' \
--registration-code "'0000000001'" \
--registration-code "'0000000002'" \
--registration-code "'0000000003'"curl --request POST \
--url https://api.telnyx.com/v2/actions/register/sim_cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"registration_codes": [
"0000000001",
"0000000002",
"0000000003"
],
"sim_card_group_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"tags": [
"personal",
"customers",
"active-customers"
],
"status": "standby"
}
'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card",
"status": {
"value": "enabled",
"reason": "The SIM card is active, ready to connect to networks and consume data."
},
"type": "physical",
"iccid": "89310410106543789301",
"imsi": "081932214823362973",
"msisdn": "+13109976224",
"sim_card_group_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"tags": [
"personal",
"customers",
"active-customers"
],
"data_limit": {
"amount": "2048.0",
"unit": "MB"
},
"current_billing_period_consumed_data": {
"amount": "2049.0",
"unit": "MB"
},
"actions_in_progress": true,
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"esim_installation_status": "released",
"version": "4.3",
"resources_with_in_progress_actions": [],
"eid": null,
"authorized_imeis": [
"106516771852751",
"534051870479563",
"508821468377961"
],
"voice_enabled": false
}
],
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}